################################################################################
####                    Copyright (C) 2017 Joseph McKeown                  #####
####                                                                       #####
#### This program is free software: you can redistribute it and/or modify  #####
#### it under the terms of the GNU General Public License as published by  #####
#### the Free Software Foundation, either version 3 of the License, or     #####
#### (at your option) any later version.                                   #####
####                                                                       #####
#### This program is distributed in the hope that it will be useful,       #####
#### but WITHOUT ANY WARRANTY; without even the implied warranty of        #####
#### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #####
#### GNU General Public License for more details.                          #####
####                                                                       #####
#### You should have received a copy of the GNU General Public License     #####
#### along with this program.  If not, see <http://www.gnu.org/licenses/>. #####
################################################################################

print "                   Copyright (C) 2017 Joseph McKeown               "
print ""
print "This program is free software: you can redistribute it and/or modify"
print "it under the terms of the GNU General Public License as published by"
print "the Free Software Foundation, either version 3 of the License, or"
print "(at your option) any later version."
print ""
print "This program is distributed in the hope that it will be useful,"
print "but WITHOUT ANY WARRANTY; without even the implied warranty of"
print "MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the"
print "GNU General Public License for more details."
print ""
print "You should have received a copy of the GNU General Public License"
print "along with this program.  If not, see <http://www.gnu.org/licenses/>."
print ""
print "---------------------------------------------------------------------"
print ""
print "                   Please input your values below.                 "
print ""

# Standard imports.
from PIL import Image
import numpy as np

# Ask for file information, create blank array.
average_image = np.zeros((512,512))
number_of_images = int(raw_input("Number of images: "))+1
file_root = raw_input("File root name: ")

# Take average of each pixel.
for i in range(1,number_of_images):
    filepath = file_root + str(i) + ".png"
    img = np.float32(np.array(Image.open(filepath).convert('L')))
    average_image = np.add(average_image,img)
average_image = np.divide(average_image,number_of_images)

# Save average image.
average_image = Image.fromarray(average_image).convert('L')
average_image.save(file_root+"Background.png", "PNG")
